# Avariantas

Automatic Variant Analysis Suite is a program that helps with analyzing mutations in one sample population in relation to another. Currently, the program is in it's early phases with main emphasis on performing association analysis with a variety of possible test parameters.

## Features

Currently, emphasis has been placed on host genetics association analysis. Therefore, most features will be directly related to, or indirectly benefit association analysis.

 - Capable of categorizing thousands of mutations rapidly via VCF annotations.
 - Produce set intersections between mutation tags (ex. all variants in VCFs with quality score over 90 and are from patient's older than 60 with weight greater than 180 or all variants whose respective patients are female).
 - Built-in variant set selection notation parser for convenient filtering (`sex=0&(age=60|age=63)` means all variants annotated with `sex` of `0` and either `age` tag of `60` or `age` tag of `63`).
 - Groupings of mutations based on tags can be given aliases to simplify reference (ex. `all` means the union of all known tags, such as `age=59|age=60|age=61|sex=0|sex=1`).
 - Capable of automatically annotating host SNPs with dbSNP IDs.
 - Save work for later.
 - Automatic assignment of patient metadata to VCFs as tags.
 - Capable of automatically performing 2x3 Fisher's Exact Test with the Freeman-Halton extension.
 - Take groupings of mutations to automatically create contingency tables.
 - Automatically create contingency tables and run association tests over all values of a tag (ex. perform association tests over all known mutation positions).
 - Set test priority where if for whatever reason one test fails, automatically use another test.

 ### Planned Features
 - Automatically generate contingency tables as images
 - Automatically produce venn diagram to represent the sets of mutations as images

## Avariantas as a Library

Avariantas makes sure all functions are intuitive to use outside of a end-user environment. As a matter of fact, many functions may not be currently implemented in the UI yet. To use it as a library, simply install avariantas via `pip`.

## Test Resources

Some of our test resources are from the 1000 Genomes Project: `ftp.1000genomes.ebi.ac.uk`
